org.apache.commons.collections4

## Interface IterableGet<K,V>

- Type Parameters:
    `K` - the type of the keys in this map
    `V` - the type of the values in this map
  All Superinterfaces:
    Get<K,V>
  All Known Subinterfaces:
    BidiMap<K,V>, BoundedMap<K,V>, IterableMap<K,V>, IterableSortedMap<K,V>, MultiMap<K,V>, OrderedBidiMap<K,V>, OrderedMap<K,V>, SortedBidiMap<K,V>, Trie<K,V>
  All Known Implementing Classes:
    AbstractBidiMapDecorator, AbstractBitwiseTrie, AbstractDualBidiMap, AbstractHashedMap, AbstractIterableGetMapDecorator, AbstractIterableMap, AbstractLinkedMap, AbstractMapDecorator, AbstractOrderedBidiMapDecorator, AbstractOrderedMapDecorator, AbstractReferenceMap, AbstractSortedBidiMapDecorator, AbstractSortedMapDecorator, CaseInsensitiveMap, CompositeMap, DefaultedMap, DualHashBidiMap, DualLinkedHashBidiMap, DualTreeBidiMap, DualTreeBidiMap.ViewMap, FixedSizeMap, FixedSizeSortedMap, Flat3Map, HashedMap, LazyMap, LazySortedMap, LinkedMap, ListOrderedMap, LRUMap, MultiKeyMap, MultiValueMap, PassiveExpiringMap, PatriciaTrie, PredicatedMap, PredicatedSortedMap, ReferenceIdentityMap, ReferenceMap, SingletonMap, StaticBucketMap, TransformedMap, TransformedSortedMap, TransformedSplitMap, TreeBidiMap, UnmodifiableBidiMap, UnmodifiableMap, UnmodifiableOrderedBidiMap, UnmodifiableOrderedMap, UnmodifiableSortedBidiMap, UnmodifiableSortedMap, UnmodifiableTrie

      public interface IterableGet<K,V>
      extends Get<K,V>

  The "read" subset of the `Map` interface.
  Since:
    4.0
  See Also:
    `Put`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapIterator<K,V>` | `mapIterator()` Obtains a `MapIterator` over the map.

    - ### Methods inherited from interface org.apache.commons.collections4.Get

      `containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

- - ### Method Detail

    - #### mapIterator

          MapIterator<K,V> mapIterator()

      Obtains a `MapIterator` over the map.

      A map iterator is an efficient way of iterating over maps. There is no need to access the entry set or use Map Entry objects.

           IterableMap<String,Integer> map = new HashedMap<String,Integer>();
           MapIterator<String,Integer> it = map.mapIterator();
           while (it.hasNext()) {
             String key = it.next();
             Integer value = it.getValue();
             it.setValue(value + 1);
           }

      Returns:
        a map iterator

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.